Home > 전체기사
액티브소프트 마이빌더 취약점 발견... 보안 업데이트 필수
  |  입력 : 2019-10-09 22:51
페이스북 보내기 트위터 보내기 네이버 밴드 보내기 카카오 스토리 보내기
명령어삽입 취약점으로 심각도 높아
신속하게 보안 업데이트 진행해야


[보안뉴스 권 준 기자] UI 및 리포팅 툴 개발업체 액티브소프트의 대표적인 통합개발도구인 마이빌더(MyBuilder) 액티브X 및 뷰어 제품의 명령어삽입 취약점이 발견돼 신속한 보안 업데이트가 요구되고 있다.

[이미지=액티브소프트 홈페이지 캡처]


액티브소프트에 따르면 마이빌더 ActiveX MBV32U.ocx)에서 검증이 미흡한 함수를 사용해 발생하는 임의 명령어 삽입 및 실행 취약점(CVE-2019-12811)과 뷰어의 특정 설정파일을 조작할 경우 발생하는 임의 명령어 삽입 및 실행 취약점(CVE-2019-12812)이 발견됐다.

마이빌더는 복잡하고 다양한 사용자 인터페이스와 리포팅 프로그램을 손쉽게 개발할 수 있도록 지원하는 통합개발도구로 액티브소프트의 주력제품이다.

심각도(CVSS)가 HIGH(8.8)에 해당하는 이번 취약점에 영향을 받는 제품은 MyBuilder 6.2.2019.814 이전 버전으로, 해당 버전을 사용 중인 이용자는 액티브소프트 고객센터를 통해 보안패치를 적용받거나 MyBuilder 6.2.2019.814 이상 버전으로 업데이트가 필요하다. 기타 자세한 사항은 액티브소프트 고객센터나 한국인터넷진흥원(KISA) 인터넷침해대응센터(국번없이 118)로 문의하면 된다.

한편, 해당 취약점은 KISA 인터넷침해대응센터(KrCERT) 홈페이지를 통해 백정운 씨가 제공해 알려졌다.
[권 준 기자(editor@boannews.com)]

<저작권자: 보안뉴스(www.boannews.com) 무단전재-재배포금지>

  •  
  • 0
  • 페이스북 보내기 트위터 보내기 네이버 밴드 보내기 카카오 스토리 보내기


  •  SNS에서도 보안뉴스를 받아보세요!! 
넷앤드 파워비즈 진행 2020년1월8일 시작~2021년 1월8일까지IBM 파워비즈 배너 2019년2월8일~2020년2월7일까지/7월25일 수정위즈디엔에스 2018파워비즈배너 시작 11월6일 20181105-20200131
설문조사
2020년 경자년에 국내 주요 보안기업들과 보안관련 기관들이 공통적으로 꼽은 7가지 보안위협 가운데 가장 주목되는 분야는?
랜섬웨어
공급망 공격
클라우드
악성메일
IoT
다크웹
AI
기타(댓글로)